
package com.ibm.rational.report.oda.reqpro.runtime;

import java.util.HashMap;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;



/**
 * The activator class controls the plug-in life cycle
 */

/**
 * @author Suryakant Choudhary
 * @since 1.0
 */
public class ReqProODARuntimePlugin extends Plugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "com.ibm.rational.report.oda.reqpro.runtime";

	// The shared instance
	private static ReqProODARuntimePlugin plugin;
	
	public static HashMap mUserInfo = null;
	/**
	 * The constructor
	 */
	public ReqProODARuntimePlugin() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
		
		// Initialize the Map
		mUserInfo = new HashMap();
		
		System.out.println("Runtime Plugin Started");
		
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		mUserInfo.clear();
		mUserInfo = null;
		
		System.out.println("Runtime Plugin Stopped");
		
		plugin = null;
		super.stop(context);
	}
	
	

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static ReqProODARuntimePlugin getDefault() {
		return plugin;
	}

}